Skip to main content
POST
/
api
/
external
/
v1
/
allocations
/
{id}
/
claim
Claim Allocation Tokens
curl --request POST \
  --url https://app.magna.so/api/external/v1/allocations/{id}/claim \
  --header 'Content-Type: application/json' \
  --header 'x-magna-api-token: <api-key>' \
  --data '
{
  "sender": "<string>",
  "userCountryCode": "<string>",
  "amount": 123
}
'
{
  "isProcessed": true,
  "result": {
    "__type": "SolanaTransactionGroupParameters",
    "parameters": [
      {
        "instructions": [],
        "transactionId": "7ea0cd8f-26aa-4cfe-acad-e57f6ec62bfe"
      }
    ]
  }
}

Authorizations

x-magna-api-token
string
header
required

Path Parameters

id
string<uuid>
required
Minimum string length: 1

Body

application/json
sender
string
required
Minimum string length: 1
userCountryCode
string
Minimum string length: 1
amount
number

Response

Successful response

isProcessed
boolean
result
any

Endpoint-specific result payload.